Name: mtx
Version: 1.2.18
Release: 9
Summary: A SCSI media changer control program.
License: GPL
Group: Applications/System
Source0: ftp://ftp.badtux.net/pub/storage/%{name}/%name-%{version}rel.tar.gz
Patch0: mtx-1.2.18-portable.patch
Patch1: mtx-1.2.18rel-dce.patch
Patch2: mtx-1.2.18rel-gcc4.patch
Patch3: mtx-1.2.18rel-scsitape-options.patch
#Url: http://mtx.sourceforge.net
# The Url is no more maintained, so its contents are obsolete.
# (reported by Eric Lee Green)
BuildRoot: %{_tmppath}/%{name}-root

%description 
The MTX program controls the robotic mechanism in autoloaders and tape
libraries such as the HP SureStore DAT 40x6, Exabyte EZ-17, and
Exabyte 220. This program is also reported to work with a variety of
other tape libraries and autochangers from ADIC, Tandberg/Overland,
Breece Hill, HP, and Seagate.

If you have a backup tape device capable of handling more than one
tape at a time, you should install MTX.

%prep
%setup -q -n %{name}-%{version}rel
%patch0 -p1 -b .portable
%patch1 -p1 -b .dce
%patch2 -p1 -b .gcc4
%patch3 -p1 -b .options

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure
make

%install
rm -fr %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGES COMPATABILITY contrib FAQ LICENSE LICENSE.html
%doc mtx.doc mtxl.README.html README TODO
%{_mandir}/man1/*
%{_sbindir}/*

%changelog
* Wed Nov  4 2009 Dan Horák <dhorak@redhat.com> - 1.2.18-9
- fixed segfault when scsitape is run with an unknown command-line option (#513984)
- Resolves: #513984

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.2.18-8.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.2.18-8.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.2.18-8.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Mar  7 2005 Jindrich Novy <jnovy@redhat.com> 1.2.18-8
- fix type confusion in SCSI_writet(), SCSI_readt(), slow_memcopy()
  and slow_bzero()
- rebuilt with gcc4

* Thu Feb 10 2005 Jindrich Novy <jnovy@redhat.com> 1.2.18-7
- remove -D_FORTIFY_SOURCE=2 from CFLAGS, present in RPM_OPT_FLAGS

* Wed Feb  9 2005 Jindrich Novy <jnovy@redhat.com> 1.2.18-6
- rebuilt with -D_FORTIFY_SOURCE=2

* Wed Aug 11 2004 Jindrich Novy <jnovy@redhat.com> 1.2.18-5
- dead code elimination
- updated spec link to recent source
- removed spec link to obsolete URL
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 13 2004 Than Ngo <than@redhat.com> 1.2.18-2
- rebuild

* Fri Sep 26 2003 Harald Hoyer <harald@redhat.de> 1.2.18-1
- 1.2.18

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1.2.16-6
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Than Ngo <than@redhat.com> 1.2.16-4
- don't forcibly strip binaries

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 1.2.16-2
- rebuild

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.16-1
- 1.2.16

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 14 2001 Than Ngo <than@redhat.com> 1.2.15-1
- update to 1.2.15

* Mon Aug 13 2001 Preston Brown <pbrown@redhat.com> 1.2.13-1
- 1.2.13 fixes "+ Too many Data Transfer Elements Reported" problem (#49258)

* Mon Jun 25 2001 Preston Brown <pbrown@redhat.com>
- 1.2.12
- moved binaries to /usr/sbin from /sbin

* Wed Feb 14 2001 Michael Stefaniuc <mstefani@redhat.com>
- 1.2.10
- updated %%doc

* Mon Dec 11 2000 Preston Brown <pbrown@redhat.com>
- 1.2.9

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Preston Brown <pbrown@redhat.com>
- 1.2.7

* Tue May 23 2000 Preston Brown <pbrown@redhat.com> 
- adopted for Winston

* Fri May 12 2000 Kenneth Porter <shiva@well.com>
- 1.2.6
- Fixed 'eepos' stuff to use | rather than || (whoops!)
- Accept a 4-byte element descriptor for the robot arm for certain older
- autochangers. 

* Mon May 8 2000 Kenneth Porter <shiva@well.com>
- Spell sourceforge right so the link at rpmfind.net will work.

* Thu May 4 2000 Kenneth Porter <shiva@well.com>
- 1.2.5

* Thu Oct 29 1998  Ian Macdonald <ianmacd@xs4all.nl>
- moved mtx from /sbin to /bin, seeing as mt is also located there

* Fri Oct 23 1998  Ian Macdonald <ianmacd@xs4all.nl>
- first RPM release
